import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@ngneat/reactive-forms';
import { Subscription } from 'rxjs';
import { ValueEdit } from '../../value-edit';
import * as i0 from "@angular/core";
export declare class RichTextEditComponent extends ValueEdit implements OnInit, OnChanges, OnDestroy {
    quillEditorChange: EventEmitter<any>;
    richTextForm: FormControl<string>;
    protected _subscriptionsOnChanges: Subscription;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    _quillButtonsToTemplateVariables(textTemplate: string): string;
    _templateVariablesToQuillButtons(textTemplate: string): string;
    _addPageStyling(textTemplate: string): string;
    _removePageStyling(textTemplate: string): string;
    _equalTemplates(textTemplate1: string, textTemplate2: string): boolean;
    private _clearTemplateVariables;
    editorChanged(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RichTextEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RichTextEditComponent, "ax-rich-text-edit", never, {}, { "quillEditorChange": "quillEditorChange"; }, never, ["*"], false, never>;
}
